org.apache.tinkerpop.gremlin.process.traversal.util

## Class ConnectiveP<V>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.P<V>
  - - org.apache.tinkerpop.gremlin.process.traversal.util.ConnectiveP<V>

- All Implemented Interfaces:
    Serializable, Cloneable, Predicate<V>
  Direct Known Subclasses:
    AndP, OrP

      public abstract class ConnectiveP<V>
      extends P<V>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<P<V>>` | `predicates`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.P

      `biPredicate, originalValue, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectiveP(List<P<V>> predicates)`
    `ConnectiveP(P<V>... predicates)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `P<V>` | `and(Predicate<? super V> predicate)`
    `ConnectiveP<V>` | `clone()`
    `boolean` | `equals(Object other)`
    `List<P<V>>` | `getPredicates()`
    `int` | `hashCode()`
    `P<V>` | `negate()`
    `protected P<V>` | `negate(ConnectiveP<V> p)`
    `P<V>` | `or(Predicate<? super V> predicate)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.P

      `between, eq, getBiPredicate, getOriginalValue, getValue, gt, gte, inside, lt, lte, neq, not, outside, setValue, test, test, toString, within, within, without, without`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Predicate

      `isEqual`

- - ### Field Detail

    - #### predicates

          protected List<P<V>> predicates

  - ### Constructor Detail

    - #### ConnectiveP

          public ConnectiveP(List<P<V>> predicates)

    - #### ConnectiveP

          @Deprecated
          public ConnectiveP(P<V>... predicates)

      Deprecated.

  - ### Method Detail

    - #### getPredicates

          public List<P<V>> getPredicates()

    - #### negate

          public P<V> negate()

      Specified by:
        `negate` in interface `Predicate<V>`
      Overrides:
        `negate` in class `P<V>`

    - #### negate

          protected P<V> negate(ConnectiveP<V> p)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `P<V>`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `P<V>`

    - #### clone

          public ConnectiveP<V> clone()

      Overrides:
        `clone` in class `P<V>`

    - #### and

          public P<V> and(Predicate<? super V> predicate)

      Specified by:
        `and` in interface `Predicate<V>`
      Overrides:
        `and` in class `P<V>`

    - #### or

          public P<V> or(Predicate<? super V> predicate)

      Specified by:
        `or` in interface `Predicate<V>`
      Overrides:
        `or` in class `P<V>`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.